%define with_printer_applet 0
%{?_with_printer_applet: %{expand: %%global with_printer_applet 1}}

%define subrel 3

Name: kdeutils4
Summary: Various desktop utilities for KDE
Version: 4.3.5
Release: %mkrel 0
Group: Graphical desktop/KDE
License: GPL
URL: http://utils.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeutils-%{version}.tar.bz2
Patch0:	kdeutils-4.2.70-printer-applet-manager-entry.patch
Patch1: kdeutils-4.0.98-fix-autostart.patch
Patch2: kdeutils-4.0.84-disable-printer-applet.patch
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires: X11-devel
BuildRequires: openssl-devel
BuildRequires: libnet-snmp-devel
BuildRequires: gmp-devel
BuildRequires: plasma-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: libzip-devel
BuildRequires: kde4-macros
BuildRequires: qimageblitz-devel 
BuildRequires: libarchive-devel
%if %with_printer_applet 
BuildRequires: python-kde4
%endif
%ifarch %{ix86}
BuildRequires: tpctl-devel
%endif
BuildRequires:  kdebase4-devel
BuildConflicts: libxmms-devel
Requires: kcalc
Requires: kcharselect
Requires: kdessh
Requires: kdf
Requires: kfloppy
Requires: kgpg
Requires: ktimer
Requires: kwallet
Requires: superkaramba
Requires: sweeper

%description
The KDE Utilities are a compilation of various desktop utilities.

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package     core
Summary:     %name core files
Group:       Graphical desktop/KDE
Requires:    kdelibs4-core
%if %mdkversion >= 201000
Obsoletes:   kdeutils-common < 3.5.10-3
Obsoletes:   kdeutils-kmilo < 3.5.10-3
Obsoletes:   kdeutils4-kmilo < 4.0.74-1
Obsoletes:   kmilo < 4.0.74-1
Obsoletes:   kdeutils4-kedit
%else
Conflicts:   kdeutils-kcalc < 3.5.9-3
Conflicts:   kdeutils-kgpg  < 3.5.9-3
Conflicts:   kdeutils-kwalletmanager < 3.5.9-3
Conflicts:   kdeutils-ktimer < 3.5.9-3
Conflicts:   kdeutils-kfloppy < 3.5.9-3
Obsoletes:   kde4-kmilo < 4.0.74-1
Obsoletes:   %{_lib}kmilo4 < 4.0.74-1
Obsoletes:   kdeutils4-kmilo < 4.0.74-1
Obsoletes:   kmilo < 4.0.74-1
Obsoletes:   kdeutils4-kedit
%endif
%description core
Core files for %{name}.

%files core
%defattr(-,root,root)
%_kde_iconsdir/*/*/*/*
%_kde_docdir/HTML/en/kcontrol/blockdevices

#----------------------------------------------------------------------

%package -n     kcalc
Summary:        Do scientific calculations
Group:          Graphical desktop/KDE
URL:		http://utils.kde.org/projects/kcalc
Requires:       %name-core = %version
Obsoletes:      %name-kcalc < 3.93.0-0.714053.1
Obsoletes:      kde4-kcalc < 4.0.68
Provides:       kde4-kcalc = %version
%if %mdkversion >= 201000 
Obsoletes:      kdeutils-kcalc < 3.5.10-3
%else
Conflicts:      kdeutils-kcalc < 3.5.10-3
%endif

%description -n kcalc
KCalc is a calculator which offers many more mathematical functions
than meet the eye on a first glance. Please study the section on
keyboard accelerators and modes in the handbook to learn more about
the many functions available.

%files -n kcalc
%defattr(-,root,root)
%_kde_appsdir/kcalc
%_kde_appsdir/kconf_update
%_kde_bindir/kcalc
%_kde_datadir/applications/kde4/kcalc.desktop
%_kde_datadir/config.kcfg/kcalc.kcfg
%_kde_docdir/HTML/*/kcalc
%_kde_libdir/libkdeinit4_kcalc.so

#---------------------------------------------

%if %{with_printer_applet}
%package printer-applet
Summary: View current print jobs and configure new printers
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/printer-applet
Requires: %name-core = %version
Requires: python-kde4 >= 1:4.1.0
Requires: python-cups
Requires: python-qt4
Requires: python-dbus
Requires: hal-cups-utils

%description printer-applet
Printer Applet is a system tray utility that shows current print jobs,
shows printer warnings and errors and shows when printers that have
been plugged in for the first time are being auto-configured by
hal-cups-utils.

%files printer-applet
%defattr(-,root,root)
%_kde_bindir/printer-applet
%_kde_appsdir/printer-applet
%_kde_datadir/autostart/printer-applet.desktop
%endif

#---------------------------------------------


%package -n kcharselect
Summary: Select special characters from any font
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/kcharselect
Requires: %name-core = %version
Obsoletes: %name-kcharselect < 3.93.0-0.714053.1
Obsoletes:      kde4-kcharselect < 4.0.68
Provides:       kde4-kcharselect = %version
%if %mdkversion >= 201000
Obsoletes:      kdeutils-kcharselect < 3.5.10-3
%endif

%description -n kcharselect
KCharSelect is a tool to select special characters from all installed
fonts and copy them into the clipboard.

%files -n kcharselect
%defattr(-,root,root)
%_kde_appsdir/kconf_update
%_kde_appsdir/kcharselect
%_kde_bindir/kcharselect
%_kde_datadir/applications/kde4/KCharSelect.desktop
%_kde_docdir/HTML/*/kcharselect

#---------------------------------------------

%package -n kdessh
Summary: Connect to other systems with ssh
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/kdessh
Requires: %name-core = %version
Obsoletes: %name-kdessh < 3.93.0-0.714053.1
Obsoletes:      kde4-kdessh < 4.0.68
Provides:       kde4-kdessh = %version

%description -n kdessh
KDE ssh runs a program on a remote host.

%files -n kdessh
%defattr(-,root,root)
%_kde_bindir/kdessh

#---------------------------------------------

%package -n kdf
Summary: View free disk space
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/kdf
Requires: %name-core = %version
Obsoletes: %name-kdf < 3.93.0-0.714053.1
Obsoletes:      kde4-kdf < 4.0.68
Provides:       kde4-kdf = %version
%if %mdkversion >= 201000
Obsoletes:      kdeutils-kdf < 3.5.10-3
%endif

%description -n kdf
KDiskFree displays the available file devices (hard drive partitions,
floppy and CD/DVD drives, etc.) along with information on their capacity,
free space, type and mount point. It also allows you to mount and unmount
drives and view them in a file manager.

%files -n kdf
%defattr(-,root,root)
%_kde_appsdir/kdf
%_kde_bindir/kdf
%_kde_bindir/kwikdisk
%_kde_libdir/kde4/kcm_kdf.so
%_kde_datadir/applications/kde4/kdf.desktop
%_kde_datadir/applications/kde4/kwikdisk.desktop
%_kde_datadir/kde4/services/kcmdf.desktop
%_kde_docdir/HTML/*/kdf

#---------------------------------------------

%package -n kfloppy
Summary: Format floppy disks
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/kfloppy
Requires: %name-core = %version
Obsoletes: %name-kfloppy < 3.93.0-0.714053.1
Obsoletes:      kde4-kfloppy < 4.0.68
Provides:       kde4-kfloppy = %version
%if %mdkversion >= 201000
Obsoletes:      kdeutils-kfloppy < 3.5.10-3
%endif

%description -n kfloppy
KFloppy is a utility that provides a straightforward graphical means to
format 3.5" and 5.25" floppy disks.

%files -n kfloppy
%defattr(-,root,root)
%_kde_bindir/kfloppy
%_kde_datadir/applications/kde4/KFloppy.desktop
%_kde_datadir/kde4/services/ServiceMenus/floppy_format.desktop
%_kde_docdir/HTML/*/kfloppy

#---------------------------------------------

%package -n     kgpg
Summary:        Control your GPG keys
Group:          Graphical desktop/KDE
URL: http://utils.kde.org/projects/kgpg
Requires:       %name-core = %version
Obsoletes:      %name-kgpg < 3.93.0-0.714053.1
Obsoletes:      kde4-kgpg < 4.0.68
Provides:       kde4-kgpg = %version
%if %mdkversion >= 201000
Obsoletes:      kdeutils-kpgp < 3.5.10-3
%endif

%description -n kgpg
KGpg is a simple interface for GnuPG, a powerful encryption utility.

%files -n kgpg
%defattr(-,root,root)
%_kde_appsdir/kgpg
%_kde_bindir/kgpg
%_kde_datadir/applications/kde4/kgpg.desktop
%_kde_datadir/kde4/services/ServiceMenus/encryptfile.desktop
%_kde_datadir/kde4/services/ServiceMenus/encryptfolder.desktop
%_kde_datadir/kde4/services/ServiceMenus/viewdecrypted.desktop
%_kde_datadir/autostart/kgpg.desktop
%_kde_datadir/config.kcfg/kgpg.kcfg
%_kde_datadir/dbus-1/interfaces/org.kde.kgpg.Key.xml
%_kde_docdir/HTML/*/kgpg

#---------------------------------------------

%package -n     ktimer
Summary:        Execute programs after some time
Group:          Graphical desktop/KDE
URL: http://utils.kde.org/projects/ktimer
Requires:       %name-core = %version
Obsoletes:      %name-ktimer < 3.93.0-0.714053.1
Obsoletes:      kde4-ktimer < 4.0.68
Provides:       kde4-ktimer = %version
%if %mdkversion >= 201000
Obsoletes:      kdeutils-ktimer < 3.5.10-3
%endif

%description -n ktimer
KTimer is a little tool to execute programs after some time.

%files -n ktimer
%defattr(-,root,root)
%_kde_bindir/ktimer
%_kde_datadir/applications/kde4/ktimer.desktop
%_kde_docdir/HTML/*/ktimer

#---------------------------------------------

%package -n     kwallet
Summary:        Manage your passwords
Group:          Graphical desktop/KDE
URL: http://utils.kde.org/projects/kwalletmanager
Requires:       %name-core = %version
Obsoletes:      %name-kwallet < 3.93.0-0.714053.1
Obsoletes:      kde4-kwallet < 4.0.68
Provides:       kde4-kwallet = %version
Conflicts:      kdeutils-kwalletmanager < 3.5.9-3
%if %mdkversion >= 201000
Obsoletes:      kdeutils-kwalletmanager < 3.5.10-3
%else
Conflicts:      kdeutils-kwalletmanager < 3.5.9-3
%endif

%description -n kwallet
KDE Wallet Manager is for management of the wallets installed on the
system. The KDE wallet subsystem provides a convenient and secure way
to manage all your passwords.

%files -n kwallet
%defattr(-,root,root)
%_kde_appsdir/kwalletmanager
%_kde_bindir/kwalletmanager
%_kde_libdir/kde4/kcm_kwallet.so
%_kde_datadir/applications/kde4/kwalletmanager-kwalletd.desktop
%_kde_datadir/applications/kde4/kwalletmanager.desktop
%_kde_datadir/kde4/services/kwalletconfig.desktop
%_kde_datadir/kde4/services/kwalletmanager_show.desktop
%_kde_docdir/HTML/*/kwallet

#---------------------------------------------

%package -n superkaramba
Summary: Put Karamba applets to the desktop with Python
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/superkaramba
Requires: %name-core = %version
%py_requires -d
%if %mdkversion >= 201000
Obsoletes:      kdeutils-superkaramba < 3.5.10-3
%endif
Obsoletes: %name-superkaramba < 3.93.0-0.714053.1
Obsoletes: kdeutils4-devel
Obsoletes:      kde4-superkaramba < 4.0.68
Provides:       kde4-superkaramba = %version

%description -n superkaramba
SuperKaramba is a tool that allows you to easily create interactive
widgets on your KDE desktop.

%files -n superkaramba
%defattr(-,root,root)
%_kde_appsdir/superkaramba
%_kde_bindir/superkaramba
%_kde_datadir/applications/kde4/superkaramba.desktop
%_kde_libdir/kde4/plasma_package_superkaramba.so
%_kde_libdir/kde4/plasma_scriptengine_superkaramba.so
%_kde_datadir/kde4/services/plasma-package-superkaramba.desktop
%_kde_datadir/kde4/services/plasma-scriptengine-superkaramba.desktop
%_kde_datadir/config/superkaramba.knsrc
%_kde_datadir/dbus-1/interfaces/org.kde.superkaramba.xml
%_kde_docdir/HTML/*/superkaramba
# Should not be installed
%exclude %_kde_libdir/libsuperkaramba.so

#---------------------------------------------

%package -n ark
Summary: Handle file archives
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/ark
Requires: %name-core = %version
Obsoletes: %name-ark < 3.93.0-0.714053.1
Obsoletes: kdeutils4-devel
Obsoletes: kde4-ark < 4.0.68
Provides:  kde4-ark = %version
%if %mdkversion >= 201000
Obsoletes: kdeutils-ark < 3.5.10-3
%endif
Suggests: p7zip

%description -n ark
Ark is a program for managing various archive formats within the KDE
environment.

%files -n ark
%defattr(-,root,root)
%_kde_bindir/ark
%_kde_libdir/kde4/libarkpart.so
%_kde_libdir/kde4/kerfuffle_*
%_kde_libdir/kde4/libextracthere.so
%_kde_datadir/applications/kde4/ark.desktop
%_kde_appsdir/ark
%_kde_datadir/config.kcfg/ark.kcfg
%_kde_datadir/kde4/services/ark_part.desktop
%_kde_datadir/kde4/services/kerfuffle_*
%_kde_datadir/kde4/servicetypes/kerfufflePlugin.desktop
%_kde_datadir/kde4/services/ServiceMenus/ark_*.desktop
%_kde_datadir/kde4/services/ark_dndextract.desktop
%_kde_docdir/HTML/*/ark
%_kde_mandir/man1/ark.1.*

# Should not be installed
%exclude %_kde_libdir/libkerfuffle.so

#---------------------------------------------

%define libkerfuffle %mklibname kerfuffle 4

%package -n %libkerfuffle
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkerfuffle
KDE 4 library

%files -n %libkerfuffle
%defattr(-,root,root)
%_kde_libdir/libkerfuffle.so.*

#---------------------------------------------

%define libsuperkaramba %mklibname superkaramba 4

%package -n %libsuperkaramba
Summary: KDE 4 library
Group: System/Libraries
URL: http://utils.kde.org/projects/superkaramba

%description -n %libsuperkaramba
KDE 4 library

%files -n %libsuperkaramba
%defattr(-,root,root)
%_kde_libdir/libsuperkaramba.so.*

#---------------------------------------------

%package -n sweeper
Summary: Clean unwanted traces from your system
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/sweeper
Requires: %name-core = %version
Obsoletes: %name-sweeper < 3.93.0-0.714053.1
Obsoletes:      kde4-sweeper < 4.0.68
Provides:       kde4-sweeper = %version

%description -n sweeper
Sweeper helps to clean unwanted traces the user leaves on the system.

%files -n sweeper
%defattr(-,root,root)
%_kde_appsdir/sweeper
%_kde_bindir/sweeper
%_kde_datadir/applications/kde4/sweeper.desktop
%_kde_datadir/dbus-1/interfaces/org.kde.sweeper.xml

#---------------------------------------------

%package -n kdelirc
Summary: Frontend for the LIRC suite
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/sweeper
Requires: %name-core = %version

%description -n kdelirc
This is a frontend for the LIRC suite to use infrared devices with KDE.

%files -n kdelirc
%defattr(-,root,root)
%{_kde_bindir}/irkick
%{_kde_libdir}/kde4/kcm_lirc.so
%{_kde_libdir}/libkdeinit4_irkick.so
%exclude  %{_kde_libdir}/libkdelirc_shared.so
%{_kde_datadir}/applications/kde4/irkick.desktop
%{_kde_appsdir}/irkick/irkick.notifyrc
%{_kde_appsdir}/profiles/amarok.profile.xml
%{_kde_appsdir}/profiles/dragonplayer.profile.xml
%{_kde_appsdir}/profiles/klauncher.profile.xml
%{_kde_appsdir}/profiles/kmix.profile.xml
%{_kde_appsdir}/profiles/konqueror.profile.xml
%{_kde_appsdir}/profiles/okular.profile.xml
%{_kde_appsdir}/profiles/profile.dtd
%{_kde_appsdir}/profiles/shutdown.profile.xml
%{_kde_appsdir}/profiles/suspend.profile.xml
%{_kde_appsdir}/profiles/vlc.profile.xml
%{_kde_appsdir}/remotes/AppleRemote.remote.xml
%{_kde_appsdir}/remotes/AsusDH.remote.xml
%{_kde_appsdir}/remotes/RM-0010.remote.xml
%{_kde_appsdir}/remotes/cimr100.remote.xml
%{_kde_appsdir}/remotes/hauppauge.remote.xml
%{_kde_appsdir}/remotes/packbell.remote.xml
%{_kde_appsdir}/remotes/remote.dtd
%{_kde_appsdir}/remotes/sherwood.remote.xml
%{_kde_appsdir}/remotes/sonytv.remote.xml
%{_kde_datadir}/autostart/irkick.desktop
%{_kde_docdir}/HTML/en/irkick/common
%{_kde_docdir}/HTML/en/irkick/index.cache.bz2
%{_kde_docdir}/HTML/en/irkick/index.docbook
%{_kde_docdir}/HTML/en/kcmlirc/common
%{_kde_docdir}/HTML/en/kcmlirc/index.cache.bz2
%{_kde_docdir}/HTML/en/kcmlirc/index.docbook
%{_kde_datadir}/kde4/services/kcm_lirc.desktop

#---------------------------------------------

%define libkdelirc_shared_major 1
%define libkdelirc_shared %mklibname kdelirc_shared %{libkdelirc_shared_major}

%package -n %libkdelirc_shared
Summary: KDE 4 library
Group: System/Libraries
URL: http://utils.kde.org/projects/okteta

%description -n %libkdelirc_shared
KDE 4 library

%files -n %libkdelirc_shared
%defattr(-,root,root)
%_kde_libdir/libkdelirc_shared.so.%{libkdelirc_shared_major}*

#---------------------------------------------
%package -n okteta
Summary: Edit raw file data as Hex values
Group: Graphical desktop/KDE
URL: http://utils.kde.org/projects/okteta
Requires: %name-core = %version
%if %mdkversion >= 201000
Obsoletes:      kdeutils-khexedit < 3.5.10-3
%endif

%description -n okteta
Okteta is a simple editor for the raw data of files. This type of
program is also called hex editor or binary editor.

%files -n okteta
%defattr(-,root,root)
%_kde_bindir/okteta
%_kde_libdir/kde4/libkbytearrayedit.so
%_kde_libdir/kde4/oktetapart.so
%_kde_datadir/applications/kde4/okteta.desktop
%dir %_kde_appsdir/okteta
%_kde_appsdir/okteta/oktetaui.rc
%dir %_kde_appsdir/oktetapart
%_kde_appsdir/oktetapart/oktetapartui.rc
%_kde_datadir/kde4/services/kbytearrayedit.desktop
%_kde_datadir/kde4/services/oktetapart.desktop
%_kde_docdir/HTML/en/okteta

%exclude %_kde_libdir/liboktetagui.so
%exclude %_kde_libdir/liboktetacore.so
#---------------------------------------------

%define liboktetacore_major 4
%define liboktetacore %mklibname oktetacore %{liboktetacore_major}

%package -n %liboktetacore
Summary: KDE 4 library
Group: System/Libraries
URL: http://utils.kde.org/projects/okteta

%description -n %liboktetacore
KDE 4 library

%files -n %liboktetacore
%defattr(-,root,root)
%_kde_libdir/liboktetacore.so.%{liboktetacore_major}*
#---------------------------------------------

%define liboktetagui_major 4
%define liboktetagui %mklibname oktetagui %{liboktetagui_major}

%package -n %liboktetagui
Summary: KDE 4 library
Group: System/Libraries
URL: http://utils.kde.org/projects/okteta

%description -n %liboktetagui
KDE 4 library

%files -n %liboktetagui
%defattr(-,root,root)
%_kde_libdir/liboktetagui.so.%{liboktetagui_major}*
#---------------------------------------------


%prep
%setup -q -n kdeutils-%{version}
%patch0 -p1 -b .add_manager_entry
%patch1 -p0 -b .onlyshow
%patch2 -p1

%build
%cmake_kde4 \
%if ! %{with_printer_applet}
    -DINSTALL_PRINTER_APPLET=FALSE
%else
    -DINSTALL_PRINTER_APPLET=TRUE
%endif

%make

%install
rm -fr %buildroot

%makeinstall_std -C build

%clean
rm -fr %buildroot



%changelog
* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.5-0.3mdv2010.0
+ Revision: 502708
- Revert patch100
- Add branch rpms
- Remove merged patch
- Update to kde 4.3.5

* Sat Oct 24 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.2-5mdv2010.0
+ Revision: 459144
- Fix obsoletes

* Tue Oct 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.2-4mdv2010.0
+ Revision: 456991
- Use a more complete patch for UUID support in kdf

* Sun Oct 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.2-3mdv2010.0
+ Revision: 456584
- Allow kdf to handle UUID in fstab (BUG # 40240)

* Tue Oct 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.2-2mdv2010.0
+ Revision: 454707
- remove wrong patch, a better one will be added soon

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 4.3.2-1mdv2010.0
+ Revision: 454430
- New upstream release 4.3.2.

* Mon Oct 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.1-5mdv2010.0
+ Revision: 453960
- Make kdf handle fstab with UUID= (Bug #40240)
- Suggests p7zip BUG:53857

* Fri Sep 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.1-3mdv2010.0
+ Revision: 444205
- Add obsolete for kde3 upgrade

* Thu Sep 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.1-2mdv2010.0
+ Revision: 429005
- Exclude kscd.profile.xml ( fix upstream commit 1019203 )

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 4.3.1-1mdv2010.0
+ Revision: 423208
- New upstream release 4.3.1.

* Tue Aug 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.0-2mdv2010.0
+ Revision: 415206
- obsolete kdeutils-common
- Add obsoletes to help to remove kde3

* Tue Aug 04 2009 Helio Chissini de Castro <helio@mandriva.com> 4.3.0-1mdv2010.0
+ Revision: 409410
- New upstream release 4.3.0.
- Update to KDE 4.3 RC3

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 4.2.96-1mdv2010.0
+ Revision: 394935
- new version 4.2.96

* Sat Jun 27 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.95-1mdv2010.0
+ Revision: 390045
- Update to kde 4.3Rc1

* Fri Jun 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.90-1mdv2010.0
+ Revision: 383153
- Update to beta2
- Bump release
- Add buildrequires

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 4.2.88-1mdv2010.0
+ Revision: 380761
- New version 4.2.88

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Adapt kdesdk to new layout

* Sat May 23 2009 Funda Wang <fwang@mandriva.org> 4.2.87-1mdv2010.0
+ Revision: 378893
- New version 4.2.87

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.85-1mdv2010.0
+ Revision: 373658
- Update to kde 4.2.85

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 4.2.71-0.svn961800.1mdv2010.0
+ Revision: 372203
- BR lzma to enable lzma plugin
- New version 4.2.71
- Br qca2 for okteta
- lzma dep need investigating

* Sun May 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.70-0.svn954171.1mdv2010.0
+ Revision: 370954
- Remove old macros
- Update to kde 4.2.70
  Rediff patches
  Remove merged patches

* Wed Apr 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.2-4mdv2009.1
+ Revision: 367594
- Use the  good software when opened on Ark

* Mon Apr 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.2-3mdv2009.1
+ Revision: 364383
- Add Upstream patches from the 4.2 branch
    - Patch103: Open URL's in the previewer in an external browser.
- Add some upstream patches from branch
        - Patch100: KGpg: Remove some warnings
        - Patch101: Ark: Avoiding assert on unlocking from another thread
        - Patch102: When extracting into a subfolder, opening the destination directory should open the subfolder

* Fri Mar 27 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.2-1mdv2009.1
+ Revision: 361721
- Update with 4.2.2 try#1 packages

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.1-1mdv2009.1
+ Revision: 346101
- KDE 4.2.1 try#1 upstream release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Remove as the fix is in kde 4.2.1
    - Fix initialisation of kcalc (BKO: 185734)

* Mon Feb 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.0-2mdv2009.1
+ Revision: 340896
- Rebuild against qt4.5

* Tue Jan 27 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-1mdv2009.1
+ Revision: 334564
- Update with official 4.2.0 upstream tarball

* Fri Jan 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.96-1mdv2009.1
+ Revision: 327424
- Fix file list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.96

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 4.1.85-2mdv2009.1
+ Revision: 318875
- rebuild for new python

* Fri Dec 12 2008 Helio Chissini de Castro <helio@mandriva.com> 4.1.85-1mdv2009.1
+ Revision: 313739
- Update with Beta 1 - 4.1.85

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.82-1mdv2009.1
+ Revision: 313438
- Update to kde 4.1.82

* Wed Dec 03 2008 Funda Wang <fwang@mandriva.org> 4.1.81-1mdv2009.1
+ Revision: 309714
- new version 4.1.81

* Sat Nov 22 2008 Funda Wang <fwang@mandriva.org> 4.1.80-2mdv2009.1
+ Revision: 305917
- re-enable kgpg doc
- move python requires to superkaramba
- BR pykde4 only when building printer-applet
- simplify BR from kdebase-workspace to plasma

* Wed Nov 19 2008 Helio Chissini de Castro <helio@mandriva.com> 4.1.80-1mdv2009.1
+ Revision: 304553
- Update with Beta 1 - 4.1.80

* Sat Nov 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.73-1mdv2009.1
+ Revision: 303439
- Really disable printer-applet for the moment
  Remove kmilo patch

* Sat Oct 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.71-1mdv2009.1
+ Revision: 297068
- New version 4.1.71

* Mon Oct 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.70-1mdv2009.1
+ Revision: 295864
- Update to kde 4.1.70

* Fri Oct 10 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.2-3mdv2009.1
+ Revision: 291635
- Add Kmilo (  thanks Adam )

* Sat Sep 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.2-2mdv2009.0
+ Revision: 288901
- Add french translation
- Do not show Rar servicemenu

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 4.1.2-1mdv2009.0
+ Revision: 288307
- KDE 4.1.2 arriving.

* Sun Sep 21 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.1-6mdv2009.0
+ Revision: 286363
- Update ark patch and ark File list
  Change way to disable printer-applet
- update ark patch ( now services menus are installed)

* Fri Sep 19 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.1-5mdv2009.0
+ Revision: 285820
- Fix ark patch
- Update Ark patch

* Sun Sep 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.1-4mdv2009.0
+ Revision: 282393
- [BUGFIX] Show kwalletmanager only in KDE Menu (Bug #43656)

* Wed Sep 03 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.1-3mdv2009.0
+ Revision: 279700
- Remove wrong patch

* Wed Sep 03 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.1-2mdv2009.0
+ Revision: 279522
- Do not open java archives with Ark
- Update ark from trunk

* Tue Sep 02 2008 Helio Chissini de Castro <helio@mandriva.com> 4.1.1-1mdv2009.0
+ Revision: 279280
- Upgrade to forthcoming 4.1.1 packages

* Sat Aug 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.0-7mdv2009.0
+ Revision: 275302
- Update  ark from trunk

* Fri Aug 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.0-6mdv2009.0
+ Revision: 272377
- Disable printer applet for 2009.0

* Fri Aug 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.0-5mdv2009.0
+ Revision: 269553
- Fix requires

* Fri Aug 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.0-4mdv2009.0
+ Revision: 269284
- Rebuild for new system-config-printer

* Mon Aug 04 2008 Helio Chissini de Castro <helio@mandriva.com> 4.1.0-3mdv2009.0
+ Revision: 263410
- Update with current branch 4.1 patches

* Mon Aug 04 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.0-2mdv2009.0
+ Revision: 263035
- Use ark from trunk as it fixes a lot of issues

* Sun Jul 27 2008 Funda Wang <fwang@mandriva.org> 4.1.0-1mdv2009.0
+ Revision: 250368
- update summary and description based the website
- Update url

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add back printer applet
    - Remove merged patch : kgpg crash
      Provide printer applet only on x86 arch ( because of dl python module )
    - Fix Requires for the printer applet
    - Fix crash on Kgpg ( bko #166973) (commited upstream)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.0

* Fri Jul 18 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.98-2mdv2009.0
+ Revision: 238232
- rebuild to include kgpg OnlyShow in kde

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - [BUGFIX] Autostart Kgpg only on KDE (Bug #41883)

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.98-1mdv2009.0
+ Revision: 233493
- Update with Release Candidate 1 - 4.0.98

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.85-3mdv2009.0
+ Revision: 232633
- Fix menu entry (KDE menu cleaning task )
- Fix menu entry (KDE menu cleaning task )

* Mon Jul 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.85-1mdv2009.0
+ Revision: 232550
- New version kde 4.0.85
- Add a comment about patch0 && patch1

* Mon Jun 30 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.84-3mdv2009.0
+ Revision: 230115
- Add patch2 to customize menu for mandriva ( Do not show KFloppy on the menu )
- Remove obsoletes as it moves on kdepim4

  + Tiago Salem <salem@mandriva.com.br>
    - fix wrong function names
    - add option to run system-config-printer directly from popup menu
    - bump release

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.84-1mdv2009.0
+ Revision: 229400
- Update with new snapshot tarballs 4.0.84

* Thu Jun 19 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.83-1mdv2009.0
+ Revision: 226126
- Update with new snapshot tarballs 4.0.83

* Thu Jun 12 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.82-1mdv2009.0
+ Revision: 218452
- We don't need printer applet requires as a build, only as a runtime
- Update with new snapshot tarballs 4.0.82

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.81-1mdv2009.0
+ Revision: 215926
- Update with new snapshot tarballs 4.0.81

* Sun May 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.80-1mdv2009.0
+ Revision: 211066
- Fix File list
  Bye Bye Kjots

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 beta1

* Wed May 21 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.74-2mdv2009.0
+ Revision: 209795
- Put proper obsoletes in proper place

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 4.0.74-1mdv2009.0
+ Revision: 208035
- New version 4.0.74

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 4.0.73-6mdv2009.0
+ Revision: 207345
- add another old kde3 conflict for smooth upgrade

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add new printer-applet on its own package
    - Add the "forgotten source"
    - Update to kde 4.0.73
      Good bye KMilo

  + Funda Wang <fwang@mandriva.org>
    - there is no epoch in kdeutils3

* Wed May 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.72-4mdv2009.0
+ Revision: 203332
- Fix release of conflicts
- Fix conflicts against old kde3*

* Tue May 06 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.72-1mdv2009.0
+ Revision: 202513
- Update to kde 4.0.72
- Update to kde 4.0.72
- Add okteta liboktetacore and liboktetagui packages
- Fix file list
- New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.3-1mdv2008.1
+ Revision: 190992
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.2-2mdv2008.1
+ Revision: 182298
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.2-1mdv2008.1
+ Revision: 177465
- New upstream bugfix release 4.0.2

* Tue Feb 12 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
+ Revision: 166245
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE team

* Wed Jan 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.0-3mdv2008.1
+ Revision: 157277
- Do not package devel files

* Sat Jan 12 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.0-2mdv2008.1
+ Revision: 149986
- Devel libraries should not be installed

* Wed Jan 09 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.0-1mdv2008.1
+ Revision: 147240
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.97.1-0.752255.1mdv2008.1
+ Revision: 137442
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.97.1-0.746842.2mdv2008.1
+ Revision: 117175
- New snapshot

* Sat Dec 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.96.1-0.742986.2mdv2008.1
+ Revision: 114275
- New snapshot

* Sun Nov 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.96.1-0.740277.2mdv2008.1
+ Revision: 111934
- Obsoletes kdeutils4-kedit
- Fix file list ( of the devel package

* Fri Nov 23 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.96.1-0.740277.1mdv2008.1
+ Revision: 111559
- New snapshot

* Sun Nov 18 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.96.0-0.737425.1mdv2008.1
+ Revision: 109739
- KDE4 RC1

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.94.1-0.729251.1mdv2008.1
+ Revision: 102143
- New snapshot

* Fri Oct 19 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.94.0-0.726233.1mdv2008.1
+ Revision: 100084
- Fix BuildRequires
- Kde 4 Beta 3

* Tue Sep 25 2007 Tiago Salem <salem@mandriva.com.br> 3.93.0-0.714053.1mdv2008.0
+ Revision: 92924
- Fixing x86_64 build by removing tpctl from BuildRequires
- Moving libkdeinit4_kcalc.so to the right place and fixing BuildRequires.
- Fixing Obsoletes, BuildRequires, and updating tarball to revision 714053

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.708188.1mdv2008.0
+ Revision: 79279
- Update with revision 708188
- Update with revision 706641
- Update with revision 706411
- Update with revision 704415
- Package kdeutils ready for revision 694474

  + Laurent Montel <lmontel@mandriva.org>
    - new snapshot

* Fri May 04 2007 Laurent Montel <lmontel@mandriva.org> 3.80.3-0.20070502.1mdv2008.0
+ Revision: 22288
- Fix BR
- new snapshot
- new snapshot


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.1mdv2007.1
+ Revision: 141314
- new snapshot
- Fix provides
- new snapshot
- 3.80.3
- Fix spec file
- new snapshot

* Tue Jan 23 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070123.1mdv2007.1
+ Revision: 112288
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070117.1mdv2007.1
+ Revision: 110075
- Update
- Fix group

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070109.1mdv2007.1
+ Revision: 106996
- Byebye kedit
- Update
- Clean up
  Fix provides
- Add debug

* Wed Jan 03 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070103.1mdv2007.1
+ Revision: 103530
- New update
  Bye bye old menu system

* Sun Dec 31 2006 Laurent Montel <lmontel@mandriva.com> 3.80-5mdv2007.1
+ Revision: 103000
- Fix buildrequires
- Fix buildrequires
- Import kdeutils4

* Wed Dec 13 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-3mdv2007.0
- First package

